import {Candidato} from "./candidato"

export class Partido {
    nome: string
    nEleitos: number
    nVotos: number

    constructor(nome:string) {
        this.nome = nome
        this.nEleitos = 0;
        this.nVotos = 0;
    }

    addCandidato(candidato: Candidato){
        this.nVotos += candidato.nVotos
        if(candidato.eleito)
            this.nEleitos += 1
    }

    toString():string {
        return `${this.nome}, ${this.nVotos} votos, ${this.nEleitos} candidatos eleitos`
    }
}

export function findPartido(nomePartido:string, partidos:Array<Partido>): Partido|undefined {
    return partidos.find((item) => item.nome === nomePartido)
}